package com.gci.boot.modules.driver.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.driver.entity.TbDriverSignIn;

/**
 * <p>
 * 司机打卡 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-13
 */
public interface ITbDriverSignInService extends IService<TbDriverSignIn> {

	void signOutTaskImpl();

	String sign(TbDriverSignIn sign);

	String queryDriverByPlateNumberAndTime(String plateNumber, String time);

	void saveItemBatch(List<TbDriverSignIn> list);

}
